
datablock TriggerData( UoTTrigger )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	
	tickPeriodMS = 100;
};

function UoTTrigger::onEnterTrigger( %this, %trigger, %obj )
{

if(%obj.getClassName() $= "AIPlayer")
		return;
		
story.setBitmap("tutorial.base/client/ui/message8.bmp");
story.setVisible(true);
		
if($spawnOnce1 $= false)
	return;
			
    
	
	%obj.mountImage(TimeImage,0);
	%obj.setImageAmmo(0,1);
	$currentWeapon = "The Ukulele of Time";
	curWeapon.setText("Current Weapon: " SPC $currentWeapon);
	$ukulele++;
	
	SpawnVillageAfterSwarm();
	
	$spawnOnce1 = false;
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onEnterTrigger( %this, %trigger, %obj );
}

function UoTTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
	story.setVisible(false);
	Parent::onLeaveTrigger( %this, %trigger, %obj );
}

datablock TriggerData( nearVillage )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	
	tickPeriodMS = 100;
};

function nearVillage::onEnterTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
		return;
		
if($spawnOnce2 $= false)
	return;
		
$spawnOnce2 = false;

    story.setVisible(false);
	
    SpawnVillageSwarm();
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onEnterTrigger( %this, %trigger, %obj );
}

datablock TriggerData( introTrigger )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	
	tickPeriodMS = 100;
};

function introTrigger::onEnterTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
		return;
		
		error(%obj.getClassName());
		
    story.setVisible(false);
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onEnterTrigger( %this, %trigger, %obj );
}


datablock TriggerData (zolafTrigger)
{
	tickPeriodMS = 100;
};

function zolafTrigger::onEnterTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
		return;
		
	story.setBitmap("tutorial.base/client/ui/story2.bmp");
    story.setVisible(true);
	$triggerTime = 0;
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onEnterTrigger( %this, %trigger, %obj );
}

function zolafTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
		return;
		
    story.setVisible(false);
			tab.setVisible(false);
		dot1Z.setVisible(false);
		dot2X.setVisible(false);
		dot3C.setVisible(false);
		dot4Z.setVisible(false);
		dot5X.setVisible(false);
	Parent::onLeaveTrigger( %this, %trigger, %obj );
}

function zolafTrigger::onTickTrigger( %this, %trigger )
{
if(%obj.getClassName() $= "AIPlayer")
		return;
		
    $triggerTime++;
	if($triggerTime $= 100)
	{
		story.setVisible(false);
	}
	if($triggerTime $= 110)
	{
		story.setVisible(true);
		story.setBitmap("tutorial.base/client/ui/story3.bmp");
	}
	
	if($triggerTime $= 210)
	{
		story.setVisible(false);
	}
	if($triggerTime $= 220)
	{
		story.setVisible(true);
		story.setBitmap("tutorial.base/client/ui/story4.bmp");
	}
	
	if($triggerTime $= 320)
	{
		story.setVisible(false);
	}
	if($triggerTime $= 330)
	{
	    story.setVisible(true);
		story.setBitmap("tutorial.base/client/ui/story5.bmp");
		
		tab.setVisible(true);
		dot1Z.setVisible(true);
		dot2X.setVisible(true);
		dot3C.setVisible(true);
		dot4Z.setVisible(true);
		dot5X.setVisible(true);
	}
	
	if($triggerTime $= 470)
	{
		story.setVisible(false);
		tab.setVisible(false);
		dot1Z.setVisible(false);
		dot2X.setVisible(false);
		dot3C.setVisible(false);
		dot4Z.setVisible(false);
		dot5X.setVisible(false);
	}
	if($triggerTime $= 480)
	{
	    story.setVisible(true);
		story.setBitmap("tutorial.base/client/ui/story6.bmp");
	}
	
	if($triggerTime $= 580)
	{
		story.setVisible(false);
	}
	if($triggerTime $= 590)
	{
	    story.setVisible(true);
		story.setBitmap("tutorial.base/client/ui/story7.bmp");
	}
	
	if($triggerTime $= 690)
	{
	    story.setVisible(false);
	}
	Parent::onTickTrigger( %this, %trigger );
}

datablock TriggerData( lastRoomTrigger )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	
	tickPeriodMS = 100;
};

function lastRoomTrigger::onEnterTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
	return;
	
	
	
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onEnterTrigger( %this, %trigger, %obj );
}

function lastRoomTrigger::onTickTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
	return;
	
	if(!$songOfTimeStarted)
	{
	    %oneAlive = false;
		%count = thirdFloorGroup.getCount();
		for(%i = 0; %i < %count; %i++)
		{
		   %ai = thirdFloorGroup.getObject(%i);
		   if(%ai.getState() !$= "Dead")
		   {
		       %oneAlive = true;
		   }
		}
		
		if(!%oneAlive)
		{
			$SOTHandle = alxPlay(SOTStart);
			$songOfTimeStarted = true;
		}
	}
	
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onTickTrigger( %this, %trigger, %obj );
}

function lastRoomTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
	return;
	
	alxStop($SOTHandle);
	
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onLeaveTrigger( %this, %trigger, %obj );
}

datablock TriggerData( signTrigger )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	
	tickPeriodMS = 100;
};

function signTrigger::onEnterTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
	return;
	
	if(%trigger.desc $= "mine")
	{
		story.setBitmap("tutorial.base/client/ui/sign4.bmp");
	}
	else if(%trigger.desc $= "lake")
	{
		story.setBitmap("tutorial.base/client/ui/sign1.bmp");
	}
	else if(%trigger.desc $= "mountain")
	{
		story.setBitmap("tutorial.base/client/ui/sign2.bmp");
	}
	else if(%trigger.desc $= "swamp")
	{
		story.setBitmap("tutorial.base/client/ui/sign3.bmp");
	}
	else if(%trigger.desc $= "village")
	{
		story.setBitmap("tutorial.base/client/ui/sign5.bmp");
	}
	else if(%trigger.desc $= "home")
	{
		story.setBitmap("tutorial.base/client/ui/sign6.bmp");
	}
	else if(%trigger.desc $= "forest")
	{
		story.setBitmap("tutorial.base/client/ui/sign7.bmp");
	}
	else if(%trigger.desc $= "intro")
	{
		story.setBitmap("tutorial.base/client/ui/sign8.bmp");
	}
	
	story.setVisible(true);
	
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onEnterTrigger( %this, %trigger, %obj );
}

function signTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
	return;
	
	story.setVisible(false);
	
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onLeaveTrigger( %this, %trigger, %obj );
}


datablock TriggerData( telepathTrigger )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	
	tickPeriodMS = 100;
};

function telepathTrigger::onEnterTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
	return;
	
	if(%trigger.desc $= "zuluBait")
	{
		if($showOnce1)
		{
			story.setBitmap("tutorial.base/client/ui/message12.bmp");
			$showOnce1 = false;
		}
	}
	
	if(%trigger.desc $= "trap")
	{	
	    if($ackbarBoxTime $= 0)
		{
			story.setBitmap("tutorial.base/client/ui/ackbar.bmp");
			story.setVisible(true);
		}
	}
	
	if(%trigger.desc $= "bootinfo")
	{
		if($numberOfBoots $= 0)
		{
			story.setBitmap("tutorial.base/client/ui/message1.bmp");
			story.setVisible(true);
		}
	}

	if(%trigger.desc $= "mountain")
	{
		story.setBitmap("tutorial.base/client/ui/message4.bmp");
		story.setVisible(true);

	}
	if(%trigger.desc $= "towardcastle")
	{
		if($ukulele $= 0)
		{
			story.setBitmap("tutorial.base/client/ui/message5.bmp");
			story.setVisible(true);
		}
	}
	if(%trigger.desc $= "atcastle")
	{
		if($ukulele $= 0)
		{
			story.setBitmap("tutorial.base/client/ui/message6.bmp");
			story.setVisible(true);
		}
		else
		{
			story.setBitmap("tutorial.base/client/ui/message9.bmp");
			story.setVisible(true);
		}
	}
	if(%trigger.desc $= "village")
	{
		if($ukulele $= 0)
		{
			story.setBitmap("tutorial.base/client/ui/message7.bmp");
			story.setVisible(true);
		}
	}
	
	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onEnterTrigger( %this, %trigger, %obj );
}

function telepathTrigger::onTickTrigger( %this, %trigger, %obj )
{
	if(%trigger.desc $= "trap")
	{
		$ackbarBoxTime++;
		if($spawnOnce3 && $ackbarBoxTime > 10)
		{
			story.setBitmap("tutorial.base/client/ui/message13.bmp");
			story.setVisible(true);
			spawnGandor();
			$spawnOnce3 = false;
		}
	}
	Parent::onTickTrigger( %this, %trigger, %obj );
}
function telepathTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
	return;
	
	if(%trigger.desc $= "trap")
	{
		if(!$victory)
		{
			story.setBitmap("tutorial.base/client/ui/message14.bmp");
		}
	}
	else
	{
		story.setVisible(false);
	}

	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onLeaveTrigger( %this, %trigger, %obj );
}

datablock TriggerData( finalBattleTrigger )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	
	tickPeriodMS = 100;
};

function finalBattleTrigger::onEnterTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
		return;
		
	$finalBattle = true;
	$damageMultiplier = 2;
		

	Parent::onEnterTrigger( %this, %trigger, %obj );
}

function finalBattleTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
		return;
		
	$finalBattle = false;
	$damageMultiplier = 1;

	Parent::onLeaveTrigger( %this, %trigger, %obj );
}

datablock TriggerData( bootTrigger )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	
	tickPeriodMS = 100;
};

function bootTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
if(%obj.getClassName() $= "AIPlayer")
		return;
		
	story.setVisible(false);

	Parent::onLeaveTrigger( %this, %trigger, %obj );

}

